> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users by workflowId



## OpenAPI

````yaml get /workflows/{workflowId}/users
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /workflows/{workflowId}/users:
    get:
      summary: List Users by workflowId
      operationId: list-users-by-workflowid
      parameters:
        - name: workflowId
          in: path
          description: The Id of the parent workflow you would like to list users for.
          schema:
            type: string
          required: true
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - username: alexmcvar@runalloy.com
                        fullName: Alex McVarish
                        userId: 6398f116aaab31dbb69df94d
                        workflowActive: true
                        installedAt: '2023-11-03T18:02:28.296Z'
                      - username: brandonl@runalloy.com
                        fullName: Brandon Looker
                        userId: 6398f895dk5b31dbh69df7d7
                        workflowActive: true
                        installedVersion: 2
                        installedAt: '2023-11-03T18:02:28.296Z'
                      - username: abdullah+embedded3@runalloy.com
                        fullName: Abdullah Wali
                        userId: 63fec7df57e0a6da84257316
                        workflowActive: true
                        installedAt: '2023-11-03T18:02:28.296Z'
                      - username: devanshMehta@runalloy.com
                        fullName: Devansh Mehta
                        userId: 63feca0157e0a6da8425731b
                        workflowActive: false
                        installedVersion: 2
                        installedAt: '2023-11-03T18:02:28.296Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````